classification
Title: Update PCbuild/readme.txt
Type: enhancement Stage: resolved
Components: Documentation, Windows Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: tim.golden Nosy List: brian.curtin, christian.heimes, docs@python, ezio.melotti, loewis, python-dev, tim.golden, zach.ware
Priority: normal Keywords: patch

Created on 2013-10-16 20:52 by zach.ware, last changed 2014-01-07 20:42 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
pcbuild_readme.diff zach.ware, 2013-10-16 20:52 PCbuild/readme.txt update patch review
patched_pcbuild_readme.txt zach.ware, 2013-10-16 20:52 Patched PCbuild/readme.txt
pcbuild_readme.v2.diff zach.ware, 2013-10-24 19:14 Cleaned-up patch review
Messages (11)
msg200085 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-16 20:52
Full title: Update PCbuild/readme.txt to be more accurate, more descriptive, more complete, less repetitive, more audience-aware, and all around, hopefully, better.

What started as a simple patch to fix the supported Windows versions list, the legacy build folders list, and a couple other minor factual errors turned into a nearly complete rewrite of the whole file.  The changes are too extensive to list out in this message; I'll use Rietveld to point out particular changes and my reasoning for them as soon as I'm able.  Also, due to the nature of the changes, it may be simpler to review the changed file itself rather than the patch, so I'll post the patched file as well.

At least 90% of these changes also apply to 3.3, but not all; I'd be happy to backport this patch or provide a new patch that strictly addresses factual errors in 3.3, as desired.

Thanks,

Zach
msg200086 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-16 20:52
Here's the patched file for easier review.
msg201102 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-24 09:05
I've looked this over and, basically, +1. We could argue the toss back and forth over changes, but I think the changes do the right amount of cruft-clearing and avoid the danger of being a mere reflection of one person's aesthetic choices over another's.

If no-one objects, I propose to commit this in a day or two.
msg201143 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-24 14:57
Thanks, Tim!  There are a couple minor things I'd like to get into a new patch before it's committed (there are a couple tabs that should be spaces, and I'd like to add a very short note to the Sub-Projects header about sub-projects being contained in .vcxproj and .vcxproj.filters files).  I'll try to have a new patch up tonight or tomorrow.
msg201165 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-24 19:14
Here's the new patch, a few tabs converted, a few trailing spaces removed, and one sentence added to the Sub-projects section description.
msg201167 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-24 19:38
Thanks, Zachary. Do you see this going against just tip, or should it be 
backported to 3.3 / 2.7? (I'm not sure how well the latter would be 
received, truth be told).
msg201170 - (view) Author: Zachary Ware (zach.ware) * (Python committer) Date: 2013-10-24 19:55
This patch will only apply to tip.  There would need to be some changes to backport to 3.3 and I haven't actually looked at 2.7, but I expect it would require extensive changes that probably wouldn't be worth it.  There are a few factual errors in 3.3 (such as supported platforms including Win2k) that should probably be corrected (and likely some in 2.7 as well), but that could be a separate issue.

I think it would be best not to backport this patch, and I'll open a separate issue to correct any errors in 2.7/3.3.
msg201171 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-24 19:58
Fine. I'll commit it later. (Probably tomorrow at this point)
msg201223 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2013-10-25 08:01
New changeset 212b4b61fa05 by Tim Golden in branch 'default':
Closes issue #19273: clean up the pcbuild readme.txt (Patch by Zachary Ware)
http://hg.python.org/cpython/rev/212b4b61fa05
msg201226 - (view) Author: Tim Golden (tim.golden) * (Python committer) Date: 2013-10-25 09:30
Done. Thanks for the patch.
msg207590 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2014-01-07 20:42
New changeset e8307cf23af4 by Larry Hastings in branch 'default':
Issue #19273: The marker comments Argument Clinic uses have been changed
http://hg.python.org/cpython/rev/e8307cf23af4
History
Date User Action Args
2014-01-07 20:42:28python-devsetmessages: + msg207590
2013-10-27 18:01:00tim.goldensetstage: patch review -> resolved
2013-10-25 18:31:01terry.reedylinkissue13789 superseder
2013-10-25 09:30:56tim.goldensetstatus: open -> closed
resolution: fixed
messages: + msg201226
2013-10-25 08:01:37python-devsetnosy: + python-dev
messages: + msg201223
2013-10-24 19:58:07tim.goldensetmessages: + msg201171
2013-10-24 19:55:05zach.waresetmessages: + msg201170
2013-10-24 19:38:06tim.goldensetmessages: + msg201167
2013-10-24 19:14:27zach.waresetfiles: + pcbuild_readme.v2.diff

messages: + msg201165
2013-10-24 14:57:29zach.waresetmessages: + msg201143
2013-10-24 09:05:49tim.goldensetassignee: docs@python -> tim.golden
messages: + msg201102
2013-10-19 05:18:25ezio.melottisetnosy: + ezio.melotti

type: enhancement
stage: patch review
2013-10-17 00:43:35ned.deilysetnosy: + loewis, christian.heimes, tim.golden, brian.curtin
2013-10-16 20:52:48zach.waresetfiles: + patched_pcbuild_readme.txt

messages: + msg200086
2013-10-16 20:52:04zach.warecreate